searchNodes=[{"type":"module","title":"JSONLogic_ExtendedOperations","doc":"Extended operators on top of the existing JSON Logic operators","ref":"JSONLogic_ExtendedOperations.html"},{"type":"function","title":"JSONLogic_ExtendedOperations.eulers_exponent_op/2","doc":"raises eulers number to a power passed in. Similar to Excel's &quot;exp&quot; function.","ref":"JSONLogic_ExtendedOperations.html#eulers_exponent_op/2"},{"type":"function","title":"JSONLogic_ExtendedOperations.exponent_op/2","doc":"implements the exponential operator","ref":"JSONLogic_ExtendedOperations.html#exponent_op/2"},{"type":"function","title":"JSONLogic_ExtendedOperations.float/1","doc":"","ref":"JSONLogic_ExtendedOperations.html#float/1"},{"type":"function","title":"JSONLogic_ExtendedOperations.natural_log_op/2","doc":"implements the ln (natural log) operator","ref":"JSONLogic_ExtendedOperations.html#natural_log_op/2"},{"type":"function","title":"JSONLogic_ExtendedOperations.parse_numeric/1","doc":"","ref":"JSONLogic_ExtendedOperations.html#parse_numeric/1"},{"type":"function","title":"JSONLogic_ExtendedOperations.range_lookup_op/2","doc":"implements the range_lookup operator","ref":"JSONLogic_ExtendedOperations.html#range_lookup_op/2"},{"type":"function","title":"JSONLogic_ExtendedOperations.xlookup_op/2","doc":"implements the xlookup operator","ref":"JSONLogic_ExtendedOperations.html#xlookup_op/2"},{"type":"module","title":"JsonLogicXL","doc":"An Elixir implementation of JsonLogic .","ref":"JsonLogicXL.html"},{"type":"function","title":"JsonLogicXL.resolve/2","doc":"Resolves the JsonLogic. It accepts logic and data arguments as a map, and returns the results as a map. Examples JsonLogic . resolve ( nil ) #=&gt; nil JsonLogic . resolve ( %{ } ) #=&gt; %{} JsonLogic . resolve ( %{ &quot;var&quot; =&gt; &quot;key&quot; } , %{ &quot;key&quot; =&gt; &quot;value&quot; } ) #=&gt; &quot;value&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; &quot;nested.key&quot; } , %{ &quot;nested&quot; =&gt; %{ &quot;key&quot; =&gt; &quot;value&quot; } } ) #=&gt; &quot;value&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; [ &quot;none&quot; , &quot;default&quot; ] } , %{ &quot;key&quot; =&gt; &quot;value&quot; } ) #=&gt; &quot;default&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; 0 } , ~w{a b} ) #=&gt; &quot;a&quot; JsonLogic . resolve ( %{ &quot;==&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;==&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!=&quot; =&gt; [ 0 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , 1.0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , %{ &quot;var&quot; =&gt; &quot;key&quot; } ] } , %{ &quot;key&quot; =&gt; 1 } ) #=&gt; true JsonLogic . resolve ( %{ &quot;!==&quot; =&gt; [ 1 , 1.0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;!==&quot; =&gt; [ 1 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!&quot; =&gt; true } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!&quot; =&gt; false } ) #=&gt; true JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ true , &quot;yes&quot; , &quot;no&quot; ] } ) #=&gt; &quot;yes&quot; JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ false , &quot;yes&quot; , &quot;no&quot; ] } ) #=&gt; &quot;no&quot; JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ false , &quot;unexpected&quot; , false , &quot;unexpected&quot; , &quot;default&quot; ] } ) #=&gt; &quot;default&quot; JsonLogic . resolve ( %{ &quot;or&quot; =&gt; [ false , nil , &quot;truthy&quot; ] } ) #=&gt; &quot;truthy&quot; JsonLogic . resolve ( %{ &quot;or&quot; =&gt; [ &quot;first&quot; , &quot;truthy&quot; ] } ) #=&gt; &quot;first&quot; JsonLogic . resolve ( %{ &quot;and&quot; =&gt; [ false , &quot;falsy&quot; ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;and&quot; =&gt; [ true , 1 , &quot;truthy&quot; ] } ) #=&gt; &quot;truthy&quot; JsonLogic . resolve ( %{ &quot;max&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 3 JsonLogic . resolve ( %{ &quot;min&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 1 JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 1 , 0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 1 , 2 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 2 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 2 , 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 2 , 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 1 , 2 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 0 , 2 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 1 , 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 0 , 1 , 2 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;+&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 6 JsonLogic . resolve ( %{ &quot;+&quot; =&gt; [ 2 ] } ) #=&gt; 2 JsonLogic . resolve ( %{ &quot;-&quot; =&gt; [ 7 , 4 ] } ) #=&gt; 3 JsonLogic . resolve ( %{ &quot;-&quot; =&gt; [ 2 ] } ) #=&gt; -2 JsonLogic . resolve ( %{ &quot;*&quot; =&gt; [ 2 , 3 , 4 ] } ) #=&gt; 24 JsonLogic . resolve ( %{ &quot;/&quot; =&gt; [ 5 , 2 ] } ) #=&gt; 2.5 JsonLogic . resolve ( %{ &quot;%&quot; =&gt; [ 7 , 3 ] } ) #=&gt; 1 JsonLogic . resolve ( %{ &quot;map&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;*&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 2 ] } ] } ) #=&gt; [2,4,6,8,10] JsonLogic . resolve ( %{ &quot;filter&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 2 ] } ] } ) #=&gt; [3,4,5] JsonLogic . resolve ( %{ &quot;reduce&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;+&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;current&quot; } , %{ &quot;var&quot; =&gt; &quot;accumulator&quot; } ] } , 0 ] } ) #=&gt; 15 JsonLogic . resolve ( %{ &quot;all&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;all&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;none&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;none&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;some&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;some&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;sub&quot; , &quot;substring&quot; ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;na&quot; , &quot;substring&quot; ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;a&quot; , [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;z&quot; , [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;cat&quot; =&gt; [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] } ) #=&gt; &quot;abc&quot; JsonLogic . resolve ( %{ &quot;log&quot; =&gt; &quot;string&quot; } ) #=&gt; &quot;string&quot;","ref":"JsonLogicXL.html#resolve/2"},{"type":"extras","title":"Readme","doc":"JsonLogic implementation in Elixir forked, added some excel formulas such as the power operator ^ , a matching case operator xlookup , and natural log operator ln . Adding excel formulas as needed, not all excel formulas are implemented.","ref":"readme.html"},{"type":"extras","title":"Readme - Installation","doc":"This package can be installed by adding json_logic_plus_xl to your list of dependencies in mix.exs : def deps do [ { :json_logic_plus_xl , &quot;&gt;= 0.0.0&quot; } ] end","ref":"readme.html#installation"},{"type":"extras","title":"Readme - Examples","doc":"JsonLogic . resolve ( nil ) #=&gt; nil JsonLogic . resolve ( %{ } ) #=&gt; %{} JsonLogic . resolve ( %{ &quot;var&quot; =&gt; &quot;key&quot; } , %{ &quot;key&quot; =&gt; &quot;value&quot; } ) #=&gt; &quot;value&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; &quot;nested.key&quot; } , %{ &quot;nested&quot; =&gt; %{ &quot;key&quot; =&gt; &quot;value&quot; } } ) #=&gt; &quot;value&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; [ &quot;none&quot; , &quot;default&quot; ] } , %{ &quot;key&quot; =&gt; &quot;value&quot; } ) #=&gt; &quot;default&quot; JsonLogic . resolve ( %{ &quot;var&quot; =&gt; 0 } , ~w{a b} ) #=&gt; &quot;a&quot; JsonLogic . resolve ( %{ &quot;==&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;==&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!=&quot; =&gt; [ 0 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , 1.0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;===&quot; =&gt; [ 1 , %{ &quot;var&quot; =&gt; &quot;key&quot; } ] } , %{ &quot;key&quot; =&gt; 1 } ) #=&gt; true JsonLogic . resolve ( %{ &quot;!==&quot; =&gt; [ 1 , 1.0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;!==&quot; =&gt; [ 1 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!&quot; =&gt; true } ) #=&gt; false JsonLogic . resolve ( %{ &quot;!&quot; =&gt; false } ) #=&gt; true JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ true , &quot;yes&quot; , &quot;no&quot; ] } ) #=&gt; &quot;yes&quot; JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ false , &quot;yes&quot; , &quot;no&quot; ] } ) #=&gt; &quot;no&quot; JsonLogic . resolve ( %{ &quot;if&quot; =&gt; [ false , &quot;unexpected&quot; , false , &quot;unexpected&quot; , &quot;default&quot; ] } ) #=&gt; &quot;default&quot; JsonLogic . resolve ( %{ &quot;or&quot; =&gt; [ false , nil , &quot;truthy&quot; ] } ) #=&gt; &quot;truthy&quot; JsonLogic . resolve ( %{ &quot;or&quot; =&gt; [ &quot;first&quot; , &quot;truthy&quot; ] } ) #=&gt; &quot;first&quot; JsonLogic . resolve ( %{ &quot;and&quot; =&gt; [ false , &quot;falsy&quot; ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;and&quot; =&gt; [ true , 1 , &quot;truthy&quot; ] } ) #=&gt; &quot;truthy&quot; JsonLogic . resolve ( %{ &quot;max&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 3 JsonLogic . resolve ( %{ &quot;min&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 1 JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 1 , 0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 1 , 2 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;&quot; =&gt; [ 0 , 2 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 2 , 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;&quot; =&gt; [ 2 , 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 0 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 1 , 2 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&lt;=&quot; =&gt; [ 1 , 0 , 2 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 1 , 1 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 0 , 1 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 1 , 1 , 0 ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;&gt;=&quot; =&gt; [ 0 , 1 , 2 ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;+&quot; =&gt; [ 1 , 2 , 3 ] } ) #=&gt; 6 JsonLogic . resolve ( %{ &quot;+&quot; =&gt; [ 2 ] } ) #=&gt; 2 JsonLogic . resolve ( %{ &quot;-&quot; =&gt; [ 7 , 4 ] } ) #=&gt; 3 JsonLogic . resolve ( %{ &quot;-&quot; =&gt; [ 2 ] } ) #=&gt; -2 JsonLogic . resolve ( %{ &quot;*&quot; =&gt; [ 2 , 3 , 4 ] } ) #=&gt; 24 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 2 , 7 ] } ) #=&gt; 128.0 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 0.97 , 7 ] } ) #=&gt; 0.8079828447811298 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 5 , - 6 ] } ) #=&gt; 6.4e-5 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 2 , 3 , 4 ] } ) #=&gt; 128.0 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 0.97 , 3 , 4 ] } ) #=&gt; 0.8079828447811298 JsonLogic . resolve ( %{ &quot;^&quot; =&gt; [ 5 , - 2 , - 4 ] } ) #=&gt; 6.4e-5 JsonLogic . resolve ( %{ &quot;/&quot; =&gt; [ 5 , 2 ] } ) #=&gt; 2.5 JsonLogic . resolve ( %{ &quot;%&quot; =&gt; [ 7 , 3 ] } ) #=&gt; 1 JsonLogic . resolve ( %{ &quot;map&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;*&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 2 ] } ] } ) #=&gt; [2,4,6,8,10] JsonLogic . resolve ( %{ &quot;map&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;^&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 2 ] } ] } ) #=&gt; [1.0, 4.0, 9.0, 16.0, 25.0] JsonLogic . resolve ( %{ &quot;filter&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 2 ] } ] } ) #=&gt; [3,4,5] JsonLogic . resolve ( %{ &quot;reduce&quot; =&gt; [ [ 1 , 2 , 3 , 4 , 5 ] , %{ &quot;+&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;current&quot; } , %{ &quot;var&quot; =&gt; &quot;accumulator&quot; } ] } , 0 ] } ) #=&gt; 15 JsonLogic . resolve ( %{ &quot;all&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;all&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&gt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;none&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;none&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;some&quot; =&gt; [ [ - 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;some&quot; =&gt; [ [ 1 , 2 , 3 ] , %{ &quot;&lt;&quot; =&gt; [ %{ &quot;var&quot; =&gt; &quot;&quot; } , 0 ] } ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;sub&quot; , &quot;substring&quot; ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;na&quot; , &quot;substring&quot; ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;a&quot; , [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] ] } ) #=&gt; true JsonLogic . resolve ( %{ &quot;in&quot; =&gt; [ &quot;z&quot; , [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] ] } ) #=&gt; false JsonLogic . resolve ( %{ &quot;cat&quot; =&gt; [ &quot;a&quot; , &quot;b&quot; , &quot;c&quot; ] } ) #=&gt; &quot;abc&quot; JsonLogic . resolve ( %{ &quot;log&quot; =&gt; &quot;string&quot; } ) #=&gt; &quot;string&quot; Detailed documentation can be found at https://hexdocs.pm/json_logic .","ref":"readme.html#examples"},{"type":"extras","title":"Changelog","doc":"","ref":"changelog.html"},{"type":"extras","title":"Changelog - v1.0.0","doc":"changed: Renamed JsonLogic.apply to JsonLogic.resolve to remove conflicts with Kernel.apply/2 . changed: All formerly public operations have been made private. fixed: Support for finding min and max values in a mixed array of numbers and strings. fixed: Support for using cat with var 's. fixed: Make nil comparisons become in line with how the javascript library is implemented. fixed: max returns nil if the list is empty. fixed: max returns nil if the list of values are not all numeric. fixed: max returning the original maximum value and not the coerced value. fixed: min returns nil if the list is empty. fixed: min returns nil if the list of values are not all numeric. fixed: min returning the original minimum value and not the coerced value. fixed: infinite recursive loop for ill formed in clauses. fixed: typespec for resolve/2 . fixed: return json object provided in if statements. fixed: return the provided json object if the map size is larger than 1. removed: optional dependencies for jason and poison . added: Support for Decimal to be used.","ref":"changelog.html#v1-0-0"}]